Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Class HTTPListenerConfigKeys

    java.lang.Object
      com.sun.appserv.management.config.CommonConfigKeys
          com.sun.appserv.management.config.HTTPListenerConfigKeys

public final class HTTPListenerConfigKeys
extends CommonConfigKeys

Keys for use with `HTTPServiceConfig.createHTTPListenerConfig(java.lang.String, java.lang.String, int, java.lang.String, java.lang.String, java.util.Map)`.

Field Summary
`static java.lang.String` | `ACCEPTOR_THREADS_KEY` Key for use with HTTPServiceConfig#createHTTPListenerConfig()
`static java.lang.String` | `ADDRESS_KEY` Key for use with HTTPServiceConfig#createHTTPListenerConfig()
`static java.lang.String` | `BLOCKING_ENABLED_KEY` Key for use with HTTPServiceConfig#createHTTPListenerConfig()
`static java.lang.String` | `DEFAULT_VIRTUAL_SERVER_KEY` Key for use with HTTPServiceConfig#createHTTPListenerConfig()
`static java.lang.String` | `ENABLED_KEY` Key for use with HTTPServiceConfig#createHTTPListenerConfig()
`static java.lang.String` | `EXTERNAL_PORT_KEY` Key for use with HTTPServiceConfig#createHTTPListenerConfig()
`static java.lang.String` | `FAMILY_KEY` Key for use with HTTPServiceConfig#createHTTPListenerConfig() Legal values are as defined in `HTTPListenerConfigFamilyValues`.
`static java.lang.String` | `PORT_KEY` Key for use with HTTPServiceConfig#createHTTPListenerConfig()
`static java.lang.String` | `REDIRECT_PORT_KEY` Key for use with HTTPServiceConfig#createHTTPListenerConfig()
`static java.lang.String` | `SECURITY_ENABLED_KEY` Key for use with HTTPServiceConfig#createHTTPListenerConfig()
`static java.lang.String` | `SERVER_NAME_KEY` Key for use with HTTPServiceConfig#createHTTPListenerConfig()
`static java.lang.String` | `SSL_PARAMS_KEY` Key for use with HTTPServiceConfig#createHTTPListenerConfig() Value should be a Map containing items keyed by keys in `SSLConfigKeys`
`static java.lang.String` | `XPOWERED_BY_KEY` Key for use with HTTPServiceConfig#createHTTPListenerConfig() (Boolean)

Fields inherited from class com.sun.appserv.management.config.CommonConfigKeys
`IGNORE_MISSING_REFERENCES_KEY`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADDRESS_KEY

    public static final java.lang.String ADDRESS_KEY

  Key for use with HTTPServiceConfig#createHTTPListenerConfig()

  See Also:
    Constant Field Values

### PORT_KEY

    public static final java.lang.String PORT_KEY

  Key for use with HTTPServiceConfig#createHTTPListenerConfig()

  See Also:
    Constant Field Values

### ENABLED_KEY

    public static final java.lang.String ENABLED_KEY

  Key for use with HTTPServiceConfig#createHTTPListenerConfig()

  See Also:
    Constant Field Values

### SECURITY_ENABLED_KEY

    public static final java.lang.String SECURITY_ENABLED_KEY

  Key for use with HTTPServiceConfig#createHTTPListenerConfig()

  See Also:
    Constant Field Values

### DEFAULT_VIRTUAL_SERVER_KEY

    public static final java.lang.String DEFAULT_VIRTUAL_SERVER_KEY

  Key for use with HTTPServiceConfig#createHTTPListenerConfig()

  See Also:
    Constant Field Values

### ACCEPTOR_THREADS_KEY

    public static final java.lang.String ACCEPTOR_THREADS_KEY

  Key for use with HTTPServiceConfig#createHTTPListenerConfig()

  See Also:
    Constant Field Values

### XPOWERED_BY_KEY

    public static final java.lang.String XPOWERED_BY_KEY

  Key for use with HTTPServiceConfig#createHTTPListenerConfig() (Boolean)

  See Also:
    Constant Field Values

### SERVER_NAME_KEY

    public static final java.lang.String SERVER_NAME_KEY

  Key for use with HTTPServiceConfig#createHTTPListenerConfig()

  See Also:
    Constant Field Values

### EXTERNAL_PORT_KEY

    public static final java.lang.String EXTERNAL_PORT_KEY

  Key for use with HTTPServiceConfig#createHTTPListenerConfig()

  See Also:
    Constant Field Values

### FAMILY_KEY

    public static final java.lang.String FAMILY_KEY

  Key for use with HTTPServiceConfig#createHTTPListenerConfig() Legal values are as defined in `HTTPListenerConfigFamilyValues`.

  See Also:
    Constant Field Values

### BLOCKING_ENABLED_KEY

    public static final java.lang.String BLOCKING_ENABLED_KEY

  Key for use with HTTPServiceConfig#createHTTPListenerConfig()

  See Also:
    Constant Field Values

### REDIRECT_PORT_KEY

    public static final java.lang.String REDIRECT_PORT_KEY

  Key for use with HTTPServiceConfig#createHTTPListenerConfig()

  See Also:
    Constant Field Values

### SSL_PARAMS_KEY

    public static final java.lang.String SSL_PARAMS_KEY

  Key for use with HTTPServiceConfig#createHTTPListenerConfig() Value should be a Map containing items keyed by keys in `SSLConfigKeys`

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.